language: java

script: gradle uploadArchives

before_install:
- openssl aes-256-cbc -pass pass:$ENCRYPTION_PASSWORD -in secring.gpg.enc -out secring.gpg -d
- openssl aes-256-cbc -pass pass:$ENCRYPTION_PASSWORD -in pubring.gpg.enc -out pubring.gpg -d
- openssl aes-256-cbc -pass pass:$ENCRYPTION_PASSWORD -in gradle.properties.enc -out gradle.properties -d

env:
  global:
    secure: RSWp6NRFm5iSK76fm6Ms1FLyUKMKhXt1JrUAQ6x558R73mT7SUvdKbBn9Ffh+TiNO6JVsma3KFoHvYnx8Ys6OGipyXW8g2DKiyg3jm2im4HTtxJqpp7Rls0gm0jGpjOOLwkWl719DZLC6+cPoUuGWtAk8FbowkBz1uWySnJSltI=
